package com.ti.mobpo.data

import android.content.Context
import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase

@Database(entities = [Favourite::class], version = 1, exportSchema = false)
abstract class PokemonDatabase : RoomDatabase() {
    abstract fun FavouriteDao(): FavouriteDao

    companion object {
        @Volatile
        private var Instance: PokemonDatabase? = null
        fun getDatabase(context: Context): PokemonDatabase {
            return Instance ?: synchronized(this) {
                Room.databaseBuilder(context, PokemonDatabase::class.java, "favorites_database")
                    .build()
                    .also { Instance = it }
            }
        }
    }
}
